## dbus 1.10.28

=== debian/changelog ===
dbus (1.10.28-0+deb9u1+devuan1) ascii-security; urgency=medium

  * initial merge of debian security update dbus_1.10.28-0+deb9u1
  * Fix path to test files for debug builds

 -- Daniel Reurich <centurion@haggai.centurion.net.nz>  Fri, 21 Jun 2019 14:27:08 +1200

dbus (1.10.28-0+deb9u1) stretch-security; urgency=medium

  * New upstream stable release
    - CVE-2019-12749: Do not attempt to carry out DBUS_COOKIE_SHA1
      authentication for identities that differ from the user running the
      DBusServer. Previously, a local attacker could manipulate symbolic
      links in their own home directory to bypass authentication and
      connect to a DBusServer with elevated privileges. The standard
      system and session dbus-daemons in their default configuration were
      immune to this attack because they did not allow DBUS_COOKIE_SHA1,
      but third-party users of DBusServer such as Upstart could be
      vulnerable.
    - Prevent reading up to 3 bytes beyond the end of a truncated message.
      This could in principle be an information leak or denial of service
      on the system bus, but is not believed to be exploitable to crash
      the system bus or leak interesting information in practice.
    - Stop the dbus-daemon leaking memory (an error message) if delivering
      the message that triggered auto-activation is forbidden. This is
      technically a denial of service because the dbus-daemon will
      run out of memory eventually, but it's a very slow and noisy one,
      because all the rejected messages are also very likely to have
      been logged to the system log, and its scope is typically limited by
      the finite number of activatable services available.
    - Remove __attribute__((__malloc__)) attribute on dbus_realloc(),
      which does not meet the criteria for that attribute in gcc 4.7+,
      potentially leading to miscompilation.
    - Fix build with gcc 8 -Werror=cast-function-type
    - Fix warning from gcc 8 about suspicious use of strncpy() when
      populating struct sockaddr_un
    - Fix installation of Ducktype documentation with newer yelp-build
      versions
  * d/control: Update Vcs-Git, Vcs-Browser

 -- Simon McVittie <smcv@debian.org>  Sun, 09 Jun 2019 22:42:06 +0100

dbus (1.10.22-1+devuan2) ascii; urgency=medium

  [ KatolaZ ]
  * backport change to re-generate machine-id at boot

 -- Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org>  Sat, 16 Mar 2019 06:22:05 +0000

dbus (1.10.22-1+devuan1) unstable; urgency=medium

  * merged debian/1.10.22-1

 -- Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org>  Tue, 16 Jan 2018 23:39:15 +0000

dbus (1.10.18-1+devuan2.3) unstable; urgency=medium

  [ KatolaZ ]
  * added git-depth=50 in gbp.conf
  * back to quilt

  [ Vincenzo (KatolaZ) Nicosia ]

 -- Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org>  Mon, 12 Jun 2017 22:54:44 +0100

dbus (1.10.18-1+devuan2.2) unstable; urgency=medium


  [ KatolaZ ]
  * corrected typo in debian/control


 -- Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org>  Mon, 12 Jun 2017 22:13:10 +0100

dbus (1.10.18-1+devuan2.1) unstable; urgency=medium

  [ nextime ]
  * Removing systemd

  [ Daniel Reurich ]
  * add maintainer
  * remove dbus-user-session & systemd
  * add .gitignore for .pc directory (quilt metadata)
  * Update Changelog - merge 1.10.4-1 from Debian
  * remove python-=dbus from build-depends temporarily to bootstrap
  * fix space/tab errors
  * remove .gitignore
  * remove systemd build specific cleanups
  * remove debian/dbus-user-session files
  * remove systemd files we don't build
  * Take over maintainership fully.
  * set branch and upstream tag
  * fix configure failure
  * reinstate python-dbus with <!stage1>
  * Update changelog for 1.10.8-1+devuan1~1.gbp535407 release
  * stop using pristine-tar
  * Update changelog for 1.10.8-1+devuan1~2.gbp28a91a release
  * don't try to install docs for stage1 builds
  * use installman for install manpages
  * Update changelog for 1.10.8-1+devuan1~3.gbp7ff537 release
  * further tidy of manpage installation
  * Update changelog for 1.10.8-1+devuan1~4.gbpc92881 release
  * also fix manpage install 4 dbus-tests and dbus-x11
  * Update changelog for 1.10.8-1+devuan1~5.gbped435d release
  * dh_installman doesn't support --list-missing
  * set ignore-branch
  * Update changelog for 1.10.8-1+devuan1 release

  [ KatolaZ ]
  * changed format to git
  * creating suite suites/experimental
  * merged changelog

  [ Vincenzo (KatolaZ) Nicosia ]

 -- Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org>  Mon, 12 Jun 2017 21:55:05 +0100

dbus (1.10.4-1+devuan1) unstable; urgency=low
  
  * merge 1.10.4-1 for Devuan (from debian) 
  * add maintainer
  * remove dbus-user-session & systemd
  * add .gitignore for .pc directory (quilt metadata)
  * add maintainer
  * remove dbus-user-session & systemd
  * add .gitignore for .pc directory (quilt metadata)

 -- Daniel Reurich <centurion@zephaniah.centurion.net.nz>  Tue, 24 Nov 2015 16:44:07 +1300
