=== debian/tests/control ===
Tests: installed-tests
Depends: dbus, dbus-tests

Tests: installed-tests-debug-build
Depends: dbus, dbus-1-dbg

Tests: gnome-desktop-testing
Depends: dbus, dbus-tests, dbus-x11, gnome-desktop-testing, xauth, xvfb

Tests: root
Restrictions: allow-stderr, needs-root
Depends: dbus, dbus-tests

Tests: root-debug-build
Restrictions: needs-root
Depends: dbus, dbus-1-dbg

Tests: build
Depends: libdbus-1-dev, dbus, build-essential
