## dbus 1.10.32

=== debian/changelog ===
dbus (1.10.32-0+deb9u3) stretch-security; urgency=medium

  * CVE-2023-34969: denial of service if a monitor is active.
  * Backport patches to respect $HOME when doing DBUS_COOKIE_SHA1
    authentication.
  * Run the test suite.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Mon, 23 Oct 2023 15:29:00 +0200

dbus (1.10.32-0+deb9u2) stretch-security; urgency=medium

  * Non-maintainer upload by the ELTS Team.
  * Fix several denial of service issues where an authenticated attacker
    can crash the system bus by sending crafted messages
    (CVE-2022-42010, CVE-2022-42011, CVE-2022-42012)

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Mon, 10 Oct 2022 13:24:20 +0200

dbus (1.10.32-0+deb9u1) stretch; urgency=medium

  * New upstream stable release
    - CVE-2020-12049: Prevent a denial of service attack in which a local
      user can make the system dbus-daemon run out of file descriptors
    - Prevent use-after-free if two usernames share a uid

 -- Simon McVittie <smcv@debian.org>  Thu, 02 Jul 2020 20:36:28 +0100
