=== debian/control ===
--- 
+++ 
@@ -1,10 +1,13 @@
 Source: dbus
 Section: admin
 Priority: optional
-Maintainer: devuan-maintainers <devuan-dev@lists.dyne.org> 
-Uploaders: Denis Roio <jaromil@dyne.org>,
-    Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org>,
-    Daniel Reurich <daniel@centurion.net.nz>
+Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
+Uploaders:
+ Sjoerd Simons <sjoerd@debian.org>,
+ Sebastian Dröge <slomo@debian.org>,
+ Michael Biebl <biebl@debian.org>,
+ Loic Minier <lool@dooz.org>,
+ Simon McVittie <smcv@debian.org>,
 Build-Depends:
  automake (>= 1:1.10),
  autotools-dev,
@@ -17,7 +20,9 @@
  libcap-ng-dev [linux-any],
  libexpat-dev,
  libglib2.0-dev,
+ libnss-wrapper,
  libselinux1-dev [linux-any],
+ libsystemd-dev (>= 209) [linux-any],
  libx11-dev,
  python (>= 2.6),
  python-dbus,
@@ -26,8 +31,8 @@
  xmlto,
  xsltproc,
 Standards-Version: 3.9.8
-Vcs-Git: https://git.devuan.org/packages-base/dbus.git
-Vcs-Browser: https://git.devuan.org/packages-base/dbus
+Vcs-Git: https://salsa.debian.org/utopia-team/dbus.git -b debian/stretch
+Vcs-Browser: https://salsa.debian.org/utopia-team/dbus
 Homepage: http://dbus.freedesktop.org/
 
 Package: dbus
@@ -143,6 +148,48 @@
  for use in the Debian installer. It can run a session bus, but is not
  suitable for use as a system bus.
 
+Package: dbus-user-session
+Architecture: all
+Multi-Arch: foreign
+Provides:
+ dbus-session-bus,
+ default-dbus-session-bus,
+Pre-Depends:
+ ${misc:Pre-Depends},
+Depends:
+ dbus (>= ${source:Version}),
+ libpam-systemd,
+ systemd,
+ ${misc:Depends},
+Recommends:
+ systemd-sysv,
+Breaks:
+ dbus-x11 (<< 1.9.10-2~),
+ policykit-1 (<< 0.105-12~),
+ udisks2 (<< 2.1.5-2~),
+Description: simple interprocess messaging system (systemd --user integration)
+ D-Bus is a message bus, used for sending messages between applications.
+ Conceptually, it fits somewhere in between raw sockets and CORBA in
+ terms of complexity.
+ .
+ On systemd systems, this package opts in to the session model in which
+ a user's session starts the first time they log in, and does not end
+ until all their login sessions have ended. This model merges all
+ parallel non-graphical login sessions (text mode, ssh, cron, etc.), and up
+ to one graphical session, into a single "user-session" or "super-session"
+ within which all background D-Bus services are shared.
+ .
+ Multiple graphical sessions per user are not currently supported in this
+ mode; as a result, it is particularly suitable for gdm, which responds to
+ requests to open a parallel graphical session by switching to the existing
+ graphical session and unlocking it.
+ .
+ To retain dbus' traditional session semantics, in which login sessions
+ are artificially isolated from each other, remove this package and install
+ dbus-x11 instead.
+ .
+ See the dbus package description for more information about D-Bus in general.
+
 Package: dbus-x11
 Architecture: any
 Section: x11
