=== debian/rules ===
--- 
+++ 
@@ -47,12 +47,15 @@
 		--enable-apparmor \
 		--enable-libaudit \
 		--enable-selinux \
-		--disable-systemd \
-		--with-systemdsystemunitdir= \
+		--enable-systemd \
+		--with-systemdsystemunitdir=/lib/systemd/system \
+		--with-session-socket-dir=/tmp \
+		--with-test-socket-dir=/tmp \
+		SYSTEMCTL=/bin/systemctl \
 		$(NULL)
 normal_configure_flags += \
-	--disable-user-session \
-	--with-systemduserunitdir= \
+	--enable-user-session \
+	--with-systemduserunitdir='$${prefix}/lib/systemd/user' \
 	$(NULL)
 endif
 endif
@@ -67,9 +70,7 @@
 	--prefix=${debug_build_prefix} \
 	--libdir='$${prefix}/lib' \
 	--sysconfdir='$${prefix}/etc' \
-	--with-systemdsystemunitdir= \
-	--bindir='${debug_build_prefix}/bin' \
-	--libexecdir='${debug_build_prefix}/libexec' \
+	--with-systemdsystemunitdir='$${libdir}/systemd/system' \
 	$(NULL)
 
 udeb_configure_flags := \
@@ -140,11 +141,48 @@
 	dh_auto_build --builddirectory=debian/build-udeb
 endif
 
-# The tests need more environmental setup at the moment: they need our
-# home directory, and we can't just set HOME because the nonce-tcp
-# transport uses our "official" HOME according to getpwent(), since its
-# purpose is to prevent one user from impersonating another. (#630152)
-override_dh_auto_test:
+handle-test-failure:
+	@find debian/build-* -name '*.log' \
+		-not -name config.log \
+		-not -name test-suite.log \
+		-print0 | xargs -0 tail -v -c1M
+ifeq ($(DEB_HOST_ARCH_OS),linux)
+	@echo "Build-time tests failed, please debug"
+	@false
+else
+	@echo "Ignoring build-time test failure on non-Linux for now"
+endif
+
+test_env = \
+	-u DISPLAY \
+	HOME=$(CURDIR)/debian/tmp-home \
+	DBUS_TEST_HOMEDIR=$(CURDIR)/debian/tmp-home \
+	DBUS_TEST_MALLOC_FAILURES=0 \
+	LD_PRELOAD=libnss_wrapper.so \
+	NSS_WRAPPER_HOSTS=$(CURDIR)/debian/hosts \
+	$(NULL)
+
+override_dh_auto_test-arch:
+	install -d $(CURDIR)/debian/tmp-home
+	env $(test_env) \
+		dh_auto_test -- -k \
+		|| make -f debian/rules handle-test-failure
+ifneq ($(filter dbus-tests,$(binaries)),)
+	env $(test_env) \
+		dh_auto_test --builddirectory=debian/build-debug --no-parallel -- -k \
+		|| make -f debian/rules handle-test-failure
+endif
+ifneq ($(filter dbus-udeb,$(binaries)),)
+	env $(test_env) \
+		dh_auto_test --builddirectory=debian/build-udeb -- -k \
+		|| make -f debian/rules handle-test-failure
+endif
+	@find debian/build-* -name '*.log' \
+		-not -name config.log \
+		-not -name test-suite.log \
+		-print0 | xargs -0 tail -v -c1M
+
+override_dh_auto_test-indep:
 	:
 
 override_dh_auto_install:
@@ -217,41 +255,3 @@
 	dh_installdocs -pdbus-udeb -p$(libdbusN)-udeb --no-act
 	dh_installdocs --remaining-packages --all AUTHORS NEWS README
 
-override_dh_strip:
-	dh_strip --dbg-package=dbus-1-dbg
-
-debian/$(libdbusN).symbols: debian/$(libdbusN).symbols.in
-	sed -e 's/$${DEB_VERSION}/${DEB_VERSION}/g' \
-		< $< > $@
-
-ifeq ($(DEB_DISTRIBUTION),UNRELEASED)
-# We can't expect the symbols file to be fully up to date for a snapshot,
-# so only fail if we broke ABI. This overrides the -c4 below.
-export DPKG_GENSYMBOLS_CHECK_LEVEL = 1
-endif
-
-override_dh_makeshlibs: debian/$(libdbusN).symbols
-	dh_makeshlibs -V -Ndbus-1-dbg --add-udeb=$(libdbusN)-udeb -- -c4
-
-override_dh_shlibdeps:
-	dh_shlibdeps \
-		-pdbus-1-dbg \
-		-Ldbus-1-dbg \
-		-ldbus-1-dbg/${debug_build_prefix}/lib \
-		-- \
-		-Ldebian/dbus-1-dbg.shlibs.local \
-		$(NULL)
-	dh_shlibdeps --remaining-packages --
-
-override_dh_autoreconf:
-	cp INSTALL INSTALL.orig
-	dh_autoreconf
-	mv INSTALL.orig INSTALL
-
-override_dh_autoreconf_clean:
-	cp INSTALL INSTALL.orig
-	dh_autoreconf_clean
-	mv INSTALL.orig INSTALL
-
-override_dh_auto_clean:
-	dh_auto_clean
